Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.function
Interface MetaABMFunctionPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  MetaABMFunctionPackageImpl

    public interface MetaABMFunctionPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Author:
  Miles Parker
See Also:
  `MetaABMFunctionFactory`

Nested Class Summary
`static interface` | `MetaABMFunctionPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static MetaABMFunctionPackage` | `eINSTANCE` The singleton instance of the package.
`static java.lang.String` | `eNAME` The package name.
`static java.lang.String` | `eNS_PREFIX` The package namespace name.
`static java.lang.String` | `eNS_URI` The package namespace URI.
`static int` | `FARGUMENT_ARRAY_PROTOTYPE` The meta object id for the '`FArgument Array Prototype`' class.
`static int` | `FARGUMENT_ARRAY_PROTOTYPE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` | `FARGUMENT_ARRAY_PROTOTYPE__ID` The feature id for the 'ID' attribute.
`static int` | `FARGUMENT_ARRAY_PROTOTYPE__INPUT_FUNCTION` The feature id for the 'Input Function' container reference.
`static int` | `FARGUMENT_ARRAY_PROTOTYPE__LABEL` The feature id for the 'Label' attribute.
`static int` | `FARGUMENT_ARRAY_PROTOTYPE__OPTIONAL` The feature id for the 'Optional' attribute.
`static int` | `FARGUMENT_ARRAY_PROTOTYPE__OUTPUT_FUNCTION` The feature id for the 'Output Function' container reference.
`static int` | `FARGUMENT_ARRAY_PROTOTYPE__PLURAL_LABEL` The feature id for the 'Plural Label' attribute.
`static int` | `FARGUMENT_ARRAY_PROTOTYPE__SIZE` The feature id for the 'Size' attribute.
`static int` | `FARGUMENT_ARRAY_PROTOTYPE__STYPE` The feature id for the 'SType' attribute.
`static int` | `FARGUMENT_ARRAY_PROTOTYPE_FEATURE_COUNT` The number of structural features of the 'FArgument Array Prototype' class.
`static int` | `FARGUMENT_PROTOTYPE` The meta object id for the '`FArgument Prototype`' class.
`static int` | `FARGUMENT_PROTOTYPE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` | `FARGUMENT_PROTOTYPE__ID` The feature id for the 'ID' attribute.
`static int` | `FARGUMENT_PROTOTYPE__INPUT_FUNCTION` The feature id for the 'Input Function' container reference.
`static int` | `FARGUMENT_PROTOTYPE__LABEL` The feature id for the 'Label' attribute.
`static int` | `FARGUMENT_PROTOTYPE__OPTIONAL` The feature id for the 'Optional' attribute.
`static int` | `FARGUMENT_PROTOTYPE__OUTPUT_FUNCTION` The feature id for the 'Output Function' container reference.
`static int` | `FARGUMENT_PROTOTYPE__PLURAL_LABEL` The feature id for the 'Plural Label' attribute.
`static int` | `FARGUMENT_PROTOTYPE__STYPE` The feature id for the 'SType' attribute.
`static int` | `FARGUMENT_PROTOTYPE_FEATURE_COUNT` The number of structural features of the 'FArgument Prototype' class.
`static int` | `FFUNCTION` The meta object id for the '`FFunction`' class.
`static int` | `FFUNCTION__AVAILABLE_TYPES` The feature id for the 'Available Types' attribute list.
`static int` | `FFUNCTION__ID` The feature id for the 'ID' attribute.
`static int` | `FFUNCTION__INPUT_PROTOTYPES` The feature id for the 'Input Prototypes' containment reference list.
`static int` | `FFUNCTION__LABEL` The feature id for the 'Label' attribute.
`static int` | `FFUNCTION__MULTI_VALUE` The feature id for the 'Multi Value' attribute.
`static int` | `FFUNCTION_FEATURE_COUNT` The number of structural features of the 'FFunction' class.
`static int` | `FGENERIC` The meta object id for the '`FGeneric`' class.
`static int` | `FGENERIC__AVAILABLE_TYPES` The feature id for the 'Available Types' attribute list.
`static int` | `FGENERIC__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` | `FGENERIC__ID` The feature id for the 'ID' attribute.
`static int` | `FGENERIC__INPUT_PROTOTYPES` The feature id for the 'Input Prototypes' containment reference list.
`static int` | `FGENERIC__LABEL` The feature id for the 'Label' attribute.
`static int` | `FGENERIC__MULTI_VALUE` The feature id for the 'Multi Value' attribute.
`static int` | `FGENERIC__PLURAL_LABEL` The feature id for the 'Plural Label' attribute.
`static int` | `FGENERIC_FEATURE_COUNT` The number of structural features of the 'FGeneric' class.
`static int` | `FGENERIC_FUNCTION` The meta object id for the '`FGeneric Function`' class.
`static int` | `FGENERIC_FUNCTION__AVAILABLE_TYPES` The feature id for the 'Available Types' attribute list.
`static int` | `FGENERIC_FUNCTION__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` | `FGENERIC_FUNCTION__ID` The feature id for the 'ID' attribute.
`static int` | `FGENERIC_FUNCTION__INPUT_PROTOTYPES` The feature id for the 'Input Prototypes' containment reference list.
`static int` | `FGENERIC_FUNCTION__LABEL` The feature id for the 'Label' attribute.
`static int` | `FGENERIC_FUNCTION__MULTI_VALUE` The feature id for the 'Multi Value' attribute.
`static int` | `FGENERIC_FUNCTION__OUTPUT_PROTOTYPES` The feature id for the 'Output Prototypes' containment reference list.
`static int` | `FGENERIC_FUNCTION__PLURAL_LABEL` The feature id for the 'Plural Label' attribute.
`static int` | `FGENERIC_FUNCTION_FEATURE_COUNT` The number of structural features of the 'FGeneric Function' class.
`static int` | `FGENERIC_LOGICAL` The meta object id for the '`FGeneric Logical`' class.
`static int` | `FGENERIC_LOGICAL__AVAILABLE_TYPES` The feature id for the 'Available Types' attribute list.
`static int` | `FGENERIC_LOGICAL__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` | `FGENERIC_LOGICAL__ID` The feature id for the 'ID' attribute.
`static int` | `FGENERIC_LOGICAL__INPUT_PROTOTYPES` The feature id for the 'Input Prototypes' containment reference list.
`static int` | `FGENERIC_LOGICAL__LABEL` The feature id for the 'Label' attribute.
`static int` | `FGENERIC_LOGICAL__MULTI_VALUE` The feature id for the 'Multi Value' attribute.
`static int` | `FGENERIC_LOGICAL__PLURAL_LABEL` The feature id for the 'Plural Label' attribute.
`static int` | `FGENERIC_LOGICAL_FEATURE_COUNT` The number of structural features of the 'FGeneric Logical' class.
`static int` | `FIMPLEMENTED_LIBRARY` The meta object id for the '`FImplemented Library`' class.
`static int` | `FIMPLEMENTED_LIBRARY__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` | `FIMPLEMENTED_LIBRARY__FUNCTIONS` The feature id for the 'Functions' containment reference list.
`static int` | `FIMPLEMENTED_LIBRARY__ID` The feature id for the 'ID' attribute.
`static int` | `FIMPLEMENTED_LIBRARY__IMPLEMENTATION` The feature id for the 'Implementation' containment reference.
`static int` | `FIMPLEMENTED_LIBRARY__LABEL` The feature id for the 'Label' attribute.
`static int` | `FIMPLEMENTED_LIBRARY__PARENT` The feature id for the 'Parent' reference.
`static int` | `FIMPLEMENTED_LIBRARY__PLURAL_LABEL` The feature id for the 'Plural Label' attribute.
`static int` | `FIMPLEMENTED_LIBRARY__SUBS` The feature id for the 'Subs' containment reference list.
`static int` | `FIMPLEMENTED_LIBRARY_FEATURE_COUNT` The number of structural features of the 'FImplemented Library' class.
`static int` | `FLIBRARY` The meta object id for the '`FLibrary`' class.
`static int` | `FLIBRARY__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` | `FLIBRARY__FUNCTIONS` The feature id for the 'Functions' containment reference list.
`static int` | `FLIBRARY__ID` The feature id for the 'ID' attribute.
`static int` | `FLIBRARY__LABEL` The feature id for the 'Label' attribute.
`static int` | `FLIBRARY__PLURAL_LABEL` The feature id for the 'Plural Label' attribute.
`static int` | `FLIBRARY__SUBS` The feature id for the 'Subs' containment reference list.
`static int` | `FLIBRARY_FEATURE_COUNT` The number of structural features of the 'FLibrary' class.
`static int` | `FLOGICAL` The meta object id for the '`FLogical`' class.
`static int` | `FLOGICAL__AVAILABLE_TYPES` The feature id for the 'Available Types' attribute list.
`static int` | `FLOGICAL__ID` The feature id for the 'ID' attribute.
`static int` | `FLOGICAL__INPUT_PROTOTYPES` The feature id for the 'Input Prototypes' containment reference list.
`static int` | `FLOGICAL__LABEL` The feature id for the 'Label' attribute.
`static int` | `FLOGICAL__MULTI_VALUE` The feature id for the 'Multi Value' attribute.
`static int` | `FLOGICAL_FEATURE_COUNT` The number of structural features of the 'FLogical' class.
`static int` | `FLOGICAL_OPERATOR` The meta object id for the '`FLogical Operator`' class.
`static int` | `FLOGICAL_OPERATOR__ARITY` The feature id for the 'Arity' attribute.
`static int` | `FLOGICAL_OPERATOR__AVAILABLE_TYPES` The feature id for the 'Available Types' attribute list.
`static int` | `FLOGICAL_OPERATOR__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` | `FLOGICAL_OPERATOR__ID` The feature id for the 'ID' attribute.
`static int` | `FLOGICAL_OPERATOR__INPUT_PROTOTYPES` The feature id for the 'Input Prototypes' containment reference list.
`static int` | `FLOGICAL_OPERATOR__LABEL` The feature id for the 'Label' attribute.
`static int` | `FLOGICAL_OPERATOR__MULTI_VALUE` The feature id for the 'Multi Value' attribute.
`static int` | `FLOGICAL_OPERATOR__PLURAL_LABEL` The feature id for the 'Plural Label' attribute.
`static int` | `FLOGICAL_OPERATOR__SYMBOL` The feature id for the 'Symbol' attribute.
`static int` | `FLOGICAL_OPERATOR_FEATURE_COUNT` The number of structural features of the 'FLogical Operator' class.
`static int` | `FMULTI_ARGUMENT_PROTOTYPE` The meta object id for the '`FMulti Argument Prototype`' class.
`static int` | `FMULTI_ARGUMENT_PROTOTYPE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` | `FMULTI_ARGUMENT_PROTOTYPE__ID` The feature id for the 'ID' attribute.
`static int` | `FMULTI_ARGUMENT_PROTOTYPE__INPUT_FUNCTION` The feature id for the 'Input Function' container reference.
`static int` | `FMULTI_ARGUMENT_PROTOTYPE__LABEL` The feature id for the 'Label' attribute.
`static int` | `FMULTI_ARGUMENT_PROTOTYPE__OPTIONAL` The feature id for the 'Optional' attribute.
`static int` | `FMULTI_ARGUMENT_PROTOTYPE__OUTPUT_FUNCTION` The feature id for the 'Output Function' container reference.
`static int` | `FMULTI_ARGUMENT_PROTOTYPE__PLURAL_LABEL` The feature id for the 'Plural Label' attribute.
`static int` | `FMULTI_ARGUMENT_PROTOTYPE__STYPE` The feature id for the 'SType' attribute.
`static int` | `FMULTI_ARGUMENT_PROTOTYPE_FEATURE_COUNT` The number of structural features of the 'FMulti Argument Prototype' class.
`static int` | `FOPERATOR` The meta object id for the '`FOperator`' class.
`static int` | `FOPERATOR__ARITY` The feature id for the 'Arity' attribute.
`static int` | `FOPERATOR__AVAILABLE_TYPES` The feature id for the 'Available Types' attribute list.
`static int` | `FOPERATOR__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` | `FOPERATOR__ID` The feature id for the 'ID' attribute.
`static int` | `FOPERATOR__INPUT_PROTOTYPES` The feature id for the 'Input Prototypes' containment reference list.
`static int` | `FOPERATOR__LABEL` The feature id for the 'Label' attribute.
`static int` | `FOPERATOR__MULTI_VALUE` The feature id for the 'Multi Value' attribute.
`static int` | `FOPERATOR__PLURAL_LABEL` The feature id for the 'Plural Label' attribute.
`static int` | `FOPERATOR__SYMBOL` The feature id for the 'Symbol' attribute.
`static int` | `FOPERATOR_FEATURE_COUNT` The number of structural features of the 'FOperator' class.

Method Summary
`org.eclipse.emf.ecore.EClass` | `getFArgumentArrayPrototype()` Returns the meta object for class '`FArgument Array Prototype`'.
`org.eclipse.emf.ecore.EReference` | `getFArgumentPrototype_InputFunction()` Returns the meta object for the container reference '`Input Function`'.
`org.eclipse.emf.ecore.EAttribute` | `getFArgumentPrototype_Optional()` Returns the meta object for the attribute '`Optional`'.
`org.eclipse.emf.ecore.EReference` | `getFArgumentPrototype_OutputFunction()` Returns the meta object for the container reference '`Output Function`'.
`org.eclipse.emf.ecore.EClass` | `getFArgumentPrototype()` Returns the meta object for class '`FArgument Prototype`'.
`org.eclipse.emf.ecore.EAttribute` | `getFFunction_AvailableTypes()` Returns the meta object for the attribute list '`Available Types`'.
`org.eclipse.emf.ecore.EReference` | `getFFunction_InputPrototypes()` Returns the meta object for the containment reference list '`Input Prototypes`'.
`org.eclipse.emf.ecore.EAttribute` | `getFFunction_MultiValue()` Returns the meta object for the attribute '`Multi Value`'.
`org.eclipse.emf.ecore.EClass` | `getFFunction()` Returns the meta object for class '`FFunction`'.
`org.eclipse.emf.ecore.EClass` | `getFGeneric()` Returns the meta object for class '`FGeneric`'.
`org.eclipse.emf.ecore.EReference` | `getFGenericFunction_OutputPrototypes()` Returns the meta object for the containment reference list '`Output Prototypes`'.
`org.eclipse.emf.ecore.EClass` | `getFGenericFunction()` Returns the meta object for class '`FGeneric Function`'.
`org.eclipse.emf.ecore.EClass` | `getFGenericLogical()` Returns the meta object for class '`FGeneric Logical`'.
`org.eclipse.emf.ecore.EClass` | `getFImplementedLibrary()` Returns the meta object for class '`FImplemented Library`'.
`org.eclipse.emf.ecore.EReference` | `getFLibrary_Functions()` Returns the meta object for the containment reference list '`Functions`'.
`org.eclipse.emf.ecore.EReference` | `getFLibrary_Subs()` Returns the meta object for the containment reference list '`Subs`'.
`org.eclipse.emf.ecore.EClass` | `getFLibrary()` Returns the meta object for class '`FLibrary`'.
`org.eclipse.emf.ecore.EClass` | `getFLogical()` Returns the meta object for class '`FLogical`'.
`org.eclipse.emf.ecore.EClass` | `getFLogicalOperator()` Returns the meta object for class '`FLogical Operator`'.
`org.eclipse.emf.ecore.EClass` | `getFMultiArgumentPrototype()` Returns the meta object for class '`FMulti Argument Prototype`'.
`org.eclipse.emf.ecore.EAttribute` | `getFOperator_Arity()` Returns the meta object for the attribute ' `Arity`'.
`org.eclipse.emf.ecore.EAttribute` | `getFOperator_Symbol()` Returns the meta object for the attribute ' `Symbol`'.
`org.eclipse.emf.ecore.EClass` | `getFOperator()` Returns the meta object for class '`FOperator`'.
`MetaABMFunctionFactory` | `getMetaABMFunctionFactory()` Returns the factory that creates the instances of the model.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final MetaABMFunctionPackage eINSTANCE

  The singleton instance of the package.

### FARGUMENT_PROTOTYPE

    static final int FARGUMENT_PROTOTYPE

  The meta object id for the '`FArgument Prototype`' class.

  See Also:
    `FArgumentPrototypeImpl`, `MetaABMFunctionPackageImpl.getFArgumentPrototype()`, Constant Field Values

### FARGUMENT_PROTOTYPE__LABEL

    static final int FARGUMENT_PROTOTYPE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### FARGUMENT_PROTOTYPE__ID

    static final int FARGUMENT_PROTOTYPE__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### FARGUMENT_PROTOTYPE__STYPE

    static final int FARGUMENT_PROTOTYPE__STYPE

  The feature id for the 'SType' attribute.

  See Also:
    Constant Field Values

### FARGUMENT_PROTOTYPE__PLURAL_LABEL

    static final int FARGUMENT_PROTOTYPE__PLURAL_LABEL

  The feature id for the 'Plural Label' attribute.

  See Also:
    Constant Field Values

### FARGUMENT_PROTOTYPE__DESCRIPTION

    static final int FARGUMENT_PROTOTYPE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### FARGUMENT_PROTOTYPE__INPUT_FUNCTION

    static final int FARGUMENT_PROTOTYPE__INPUT_FUNCTION

  The feature id for the 'Input Function' container reference.

  See Also:
    Constant Field Values

### FARGUMENT_PROTOTYPE__OUTPUT_FUNCTION

    static final int FARGUMENT_PROTOTYPE__OUTPUT_FUNCTION

  The feature id for the 'Output Function' container reference.

  See Also:
    Constant Field Values

### FARGUMENT_PROTOTYPE__OPTIONAL

    static final int FARGUMENT_PROTOTYPE__OPTIONAL

  The feature id for the 'Optional' attribute.

  See Also:
    Constant Field Values

### FARGUMENT_PROTOTYPE_FEATURE_COUNT

    static final int FARGUMENT_PROTOTYPE_FEATURE_COUNT

  The number of structural features of the 'FArgument Prototype' class.

  See Also:
    Constant Field Values

### FFUNCTION

    static final int FFUNCTION

  The meta object id for the '`FFunction`' class.

  See Also:
    `FFunctionImpl`, `MetaABMFunctionPackageImpl.getFFunction()`, Constant Field Values

### FLOGICAL

    static final int FLOGICAL

  The meta object id for the '`FLogical`' class.

  See Also:
    `FLogical`, `MetaABMFunctionPackageImpl.getFLogical()`, Constant Field Values

### FOPERATOR

    static final int FOPERATOR

  The meta object id for the '`FOperator`' class.

  See Also:
    `FOperatorImpl`, `MetaABMFunctionPackageImpl.getFOperator()`, Constant Field Values

### FLOGICAL_OPERATOR

    static final int FLOGICAL_OPERATOR

  The meta object id for the '`FLogical Operator`' class.

  See Also:
    `FLogicalOperatorImpl`, `MetaABMFunctionPackageImpl.getFLogicalOperator()`, Constant Field Values

### FGENERIC

    static final int FGENERIC

  The meta object id for the '`FGeneric`' class.

  See Also:
    `FGenericImpl`, `MetaABMFunctionPackageImpl.getFGeneric()`, Constant Field Values

### FGENERIC_FUNCTION

    static final int FGENERIC_FUNCTION

  The meta object id for the '`FGeneric Function`' class.

  See Also:
    `FGenericFunctionImpl`, `MetaABMFunctionPackageImpl.getFGenericFunction()`, Constant Field Values

### FGENERIC_LOGICAL

    static final int FGENERIC_LOGICAL

  The meta object id for the '`FGeneric Logical`' class.

  See Also:
    `FGenericLogicalImpl`, `MetaABMFunctionPackageImpl.getFGenericLogical()`, Constant Field Values

### FLIBRARY

    static final int FLIBRARY

  The meta object id for the '`FLibrary`' class.

  See Also:
    `FLibraryImpl`, `MetaABMFunctionPackageImpl.getFLibrary()`, Constant Field Values

### FARGUMENT_ARRAY_PROTOTYPE

    static final int FARGUMENT_ARRAY_PROTOTYPE

  The meta object id for the '`FArgument Array Prototype`' class.

  See Also:
    `FArgumentArrayPrototypeImpl`, `MetaABMFunctionPackageImpl.getFArgumentArrayPrototype()`, Constant Field Values

### FARGUMENT_ARRAY_PROTOTYPE__LABEL

    static final int FARGUMENT_ARRAY_PROTOTYPE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### FARGUMENT_ARRAY_PROTOTYPE__ID

    static final int FARGUMENT_ARRAY_PROTOTYPE__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### FARGUMENT_ARRAY_PROTOTYPE__STYPE

    static final int FARGUMENT_ARRAY_PROTOTYPE__STYPE

  The feature id for the 'SType' attribute.

  See Also:
    Constant Field Values

### FARGUMENT_ARRAY_PROTOTYPE__PLURAL_LABEL

    static final int FARGUMENT_ARRAY_PROTOTYPE__PLURAL_LABEL

  The feature id for the 'Plural Label' attribute.

  See Also:
    Constant Field Values

### FARGUMENT_ARRAY_PROTOTYPE__DESCRIPTION

    static final int FARGUMENT_ARRAY_PROTOTYPE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### FARGUMENT_ARRAY_PROTOTYPE__INPUT_FUNCTION

    static final int FARGUMENT_ARRAY_PROTOTYPE__INPUT_FUNCTION

  The feature id for the 'Input Function' container reference.

  See Also:
    Constant Field Values

### FARGUMENT_ARRAY_PROTOTYPE__OUTPUT_FUNCTION

    static final int FARGUMENT_ARRAY_PROTOTYPE__OUTPUT_FUNCTION

  The feature id for the 'Output Function' container reference.

  See Also:
    Constant Field Values

### FARGUMENT_ARRAY_PROTOTYPE__OPTIONAL

    static final int FARGUMENT_ARRAY_PROTOTYPE__OPTIONAL

  The feature id for the 'Optional' attribute.

  See Also:
    Constant Field Values

### FARGUMENT_ARRAY_PROTOTYPE__SIZE

    static final int FARGUMENT_ARRAY_PROTOTYPE__SIZE

  The feature id for the 'Size' attribute.

  See Also:
    Constant Field Values

### FARGUMENT_ARRAY_PROTOTYPE_FEATURE_COUNT

    static final int FARGUMENT_ARRAY_PROTOTYPE_FEATURE_COUNT

  The number of structural features of the 'FArgument Array Prototype' class.

  See Also:
    Constant Field Values

### FFUNCTION__LABEL

    static final int FFUNCTION__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### FFUNCTION__ID

    static final int FFUNCTION__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### FFUNCTION__AVAILABLE_TYPES

    static final int FFUNCTION__AVAILABLE_TYPES

  The feature id for the 'Available Types' attribute list.

  See Also:
    Constant Field Values

### FFUNCTION__INPUT_PROTOTYPES

    static final int FFUNCTION__INPUT_PROTOTYPES

  The feature id for the 'Input Prototypes' containment reference list.

  See Also:
    Constant Field Values

### FFUNCTION__MULTI_VALUE

    static final int FFUNCTION__MULTI_VALUE

  The feature id for the 'Multi Value' attribute.

  See Also:
    Constant Field Values

### FFUNCTION_FEATURE_COUNT

    static final int FFUNCTION_FEATURE_COUNT

  The number of structural features of the 'FFunction' class.

  See Also:
    Constant Field Values

### FLOGICAL__LABEL

    static final int FLOGICAL__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### FLOGICAL__ID

    static final int FLOGICAL__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### FLOGICAL__AVAILABLE_TYPES

    static final int FLOGICAL__AVAILABLE_TYPES

  The feature id for the 'Available Types' attribute list.

  See Also:
    Constant Field Values

### FLOGICAL__INPUT_PROTOTYPES

    static final int FLOGICAL__INPUT_PROTOTYPES

  The feature id for the 'Input Prototypes' containment reference list.

  See Also:
    Constant Field Values

### FLOGICAL__MULTI_VALUE

    static final int FLOGICAL__MULTI_VALUE

  The feature id for the 'Multi Value' attribute.

  See Also:
    Constant Field Values

### FLOGICAL_FEATURE_COUNT

    static final int FLOGICAL_FEATURE_COUNT

  The number of structural features of the 'FLogical' class.

  See Also:
    Constant Field Values

### FOPERATOR__LABEL

    static final int FOPERATOR__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### FOPERATOR__ID

    static final int FOPERATOR__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### FOPERATOR__AVAILABLE_TYPES

    static final int FOPERATOR__AVAILABLE_TYPES

  The feature id for the 'Available Types' attribute list.

  See Also:
    Constant Field Values

### FOPERATOR__INPUT_PROTOTYPES

    static final int FOPERATOR__INPUT_PROTOTYPES

  The feature id for the 'Input Prototypes' containment reference list.

  See Also:
    Constant Field Values

### FOPERATOR__MULTI_VALUE

    static final int FOPERATOR__MULTI_VALUE

  The feature id for the 'Multi Value' attribute.

  See Also:
    Constant Field Values

### FOPERATOR__PLURAL_LABEL

    static final int FOPERATOR__PLURAL_LABEL

  The feature id for the 'Plural Label' attribute.

  See Also:
    Constant Field Values

### FOPERATOR__DESCRIPTION

    static final int FOPERATOR__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### FOPERATOR__SYMBOL

    static final int FOPERATOR__SYMBOL

  The feature id for the 'Symbol' attribute.

  See Also:
    Constant Field Values

### FOPERATOR__ARITY

    static final int FOPERATOR__ARITY

  The feature id for the 'Arity' attribute.

  See Also:
    Constant Field Values

### FOPERATOR_FEATURE_COUNT

    static final int FOPERATOR_FEATURE_COUNT

  The number of structural features of the 'FOperator' class.

  See Also:
    Constant Field Values

### FLOGICAL_OPERATOR__LABEL

    static final int FLOGICAL_OPERATOR__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### FLOGICAL_OPERATOR__ID

    static final int FLOGICAL_OPERATOR__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### FLOGICAL_OPERATOR__AVAILABLE_TYPES

    static final int FLOGICAL_OPERATOR__AVAILABLE_TYPES

  The feature id for the 'Available Types' attribute list.

  See Also:
    Constant Field Values

### FLOGICAL_OPERATOR__INPUT_PROTOTYPES

    static final int FLOGICAL_OPERATOR__INPUT_PROTOTYPES

  The feature id for the 'Input Prototypes' containment reference list.

  See Also:
    Constant Field Values

### FLOGICAL_OPERATOR__MULTI_VALUE

    static final int FLOGICAL_OPERATOR__MULTI_VALUE

  The feature id for the 'Multi Value' attribute.

  See Also:
    Constant Field Values

### FLOGICAL_OPERATOR__PLURAL_LABEL

    static final int FLOGICAL_OPERATOR__PLURAL_LABEL

  The feature id for the 'Plural Label' attribute.

  See Also:
    Constant Field Values

### FLOGICAL_OPERATOR__DESCRIPTION

    static final int FLOGICAL_OPERATOR__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### FLOGICAL_OPERATOR__SYMBOL

    static final int FLOGICAL_OPERATOR__SYMBOL

  The feature id for the 'Symbol' attribute.

  See Also:
    Constant Field Values

### FLOGICAL_OPERATOR__ARITY

    static final int FLOGICAL_OPERATOR__ARITY

  The feature id for the 'Arity' attribute.

  See Also:
    Constant Field Values

### FLOGICAL_OPERATOR_FEATURE_COUNT

    static final int FLOGICAL_OPERATOR_FEATURE_COUNT

  The number of structural features of the 'FLogical Operator' class.

  See Also:
    Constant Field Values

### FGENERIC__LABEL

    static final int FGENERIC__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### FGENERIC__ID

    static final int FGENERIC__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### FGENERIC__AVAILABLE_TYPES

    static final int FGENERIC__AVAILABLE_TYPES

  The feature id for the 'Available Types' attribute list.

  See Also:
    Constant Field Values

### FGENERIC__INPUT_PROTOTYPES

    static final int FGENERIC__INPUT_PROTOTYPES

  The feature id for the 'Input Prototypes' containment reference list.

  See Also:
    Constant Field Values

### FGENERIC__MULTI_VALUE

    static final int FGENERIC__MULTI_VALUE

  The feature id for the 'Multi Value' attribute.

  See Also:
    Constant Field Values

### FGENERIC__PLURAL_LABEL

    static final int FGENERIC__PLURAL_LABEL

  The feature id for the 'Plural Label' attribute.

  See Also:
    Constant Field Values

### FGENERIC__DESCRIPTION

    static final int FGENERIC__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### FGENERIC_FEATURE_COUNT

    static final int FGENERIC_FEATURE_COUNT

  The number of structural features of the 'FGeneric' class.

  See Also:
    Constant Field Values

### FGENERIC_FUNCTION__LABEL

    static final int FGENERIC_FUNCTION__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### FGENERIC_FUNCTION__ID

    static final int FGENERIC_FUNCTION__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### FGENERIC_FUNCTION__AVAILABLE_TYPES

    static final int FGENERIC_FUNCTION__AVAILABLE_TYPES

  The feature id for the 'Available Types' attribute list.

  See Also:
    Constant Field Values

### FGENERIC_FUNCTION__INPUT_PROTOTYPES

    static final int FGENERIC_FUNCTION__INPUT_PROTOTYPES

  The feature id for the 'Input Prototypes' containment reference list.

  See Also:
    Constant Field Values

### FGENERIC_FUNCTION__MULTI_VALUE

    static final int FGENERIC_FUNCTION__MULTI_VALUE

  The feature id for the 'Multi Value' attribute.

  See Also:
    Constant Field Values

### FGENERIC_FUNCTION__PLURAL_LABEL

    static final int FGENERIC_FUNCTION__PLURAL_LABEL

  The feature id for the 'Plural Label' attribute.

  See Also:
    Constant Field Values

### FGENERIC_FUNCTION__DESCRIPTION

    static final int FGENERIC_FUNCTION__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### FGENERIC_FUNCTION__OUTPUT_PROTOTYPES

    static final int FGENERIC_FUNCTION__OUTPUT_PROTOTYPES

  The feature id for the 'Output Prototypes' containment reference list.

  See Also:
    Constant Field Values

### FGENERIC_FUNCTION_FEATURE_COUNT

    static final int FGENERIC_FUNCTION_FEATURE_COUNT

  The number of structural features of the 'FGeneric Function' class.

  See Also:
    Constant Field Values

### FGENERIC_LOGICAL__LABEL

    static final int FGENERIC_LOGICAL__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### FGENERIC_LOGICAL__ID

    static final int FGENERIC_LOGICAL__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### FGENERIC_LOGICAL__AVAILABLE_TYPES

    static final int FGENERIC_LOGICAL__AVAILABLE_TYPES

  The feature id for the 'Available Types' attribute list.

  See Also:
    Constant Field Values

### FGENERIC_LOGICAL__INPUT_PROTOTYPES

    static final int FGENERIC_LOGICAL__INPUT_PROTOTYPES

  The feature id for the 'Input Prototypes' containment reference list.

  See Also:
    Constant Field Values

### FGENERIC_LOGICAL__MULTI_VALUE

    static final int FGENERIC_LOGICAL__MULTI_VALUE

  The feature id for the 'Multi Value' attribute.

  See Also:
    Constant Field Values

### FGENERIC_LOGICAL__PLURAL_LABEL

    static final int FGENERIC_LOGICAL__PLURAL_LABEL

  The feature id for the 'Plural Label' attribute.

  See Also:
    Constant Field Values

### FGENERIC_LOGICAL__DESCRIPTION

    static final int FGENERIC_LOGICAL__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### FGENERIC_LOGICAL_FEATURE_COUNT

    static final int FGENERIC_LOGICAL_FEATURE_COUNT

  The number of structural features of the 'FGeneric Logical' class.

  See Also:
    Constant Field Values

### FLIBRARY__LABEL

    static final int FLIBRARY__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### FLIBRARY__ID

    static final int FLIBRARY__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### FLIBRARY__PLURAL_LABEL

    static final int FLIBRARY__PLURAL_LABEL

  The feature id for the 'Plural Label' attribute.

  See Also:
    Constant Field Values

### FLIBRARY__DESCRIPTION

    static final int FLIBRARY__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### FLIBRARY__FUNCTIONS

    static final int FLIBRARY__FUNCTIONS

  The feature id for the 'Functions' containment reference list.

  See Also:
    Constant Field Values

### FLIBRARY__SUBS

    static final int FLIBRARY__SUBS

  The feature id for the 'Subs' containment reference list.

  See Also:
    Constant Field Values

### FLIBRARY_FEATURE_COUNT

    static final int FLIBRARY_FEATURE_COUNT

  The number of structural features of the 'FLibrary' class.

  See Also:
    Constant Field Values

### FIMPLEMENTED_LIBRARY

    static final int FIMPLEMENTED_LIBRARY

  The meta object id for the '`FImplemented Library`' class.

  See Also:
    `FImplementedLibraryImpl`, `MetaABMFunctionPackageImpl.getFImplementedLibrary()`, Constant Field Values

### FIMPLEMENTED_LIBRARY__LABEL

    static final int FIMPLEMENTED_LIBRARY__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### FIMPLEMENTED_LIBRARY__ID

    static final int FIMPLEMENTED_LIBRARY__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### FIMPLEMENTED_LIBRARY__IMPLEMENTATION

    static final int FIMPLEMENTED_LIBRARY__IMPLEMENTATION

  The feature id for the 'Implementation' containment reference.

  See Also:
    Constant Field Values

### FIMPLEMENTED_LIBRARY__PARENT

    static final int FIMPLEMENTED_LIBRARY__PARENT

  The feature id for the 'Parent' reference.

  See Also:
    Constant Field Values

### FIMPLEMENTED_LIBRARY__PLURAL_LABEL

    static final int FIMPLEMENTED_LIBRARY__PLURAL_LABEL

  The feature id for the 'Plural Label' attribute.

  See Also:
    Constant Field Values

### FIMPLEMENTED_LIBRARY__DESCRIPTION

    static final int FIMPLEMENTED_LIBRARY__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### FIMPLEMENTED_LIBRARY__FUNCTIONS

    static final int FIMPLEMENTED_LIBRARY__FUNCTIONS

  The feature id for the 'Functions' containment reference list.

  See Also:
    Constant Field Values

### FIMPLEMENTED_LIBRARY__SUBS

    static final int FIMPLEMENTED_LIBRARY__SUBS

  The feature id for the 'Subs' containment reference list.

  See Also:
    Constant Field Values

### FIMPLEMENTED_LIBRARY_FEATURE_COUNT

    static final int FIMPLEMENTED_LIBRARY_FEATURE_COUNT

  The number of structural features of the 'FImplemented Library' class.

  See Also:
    Constant Field Values

### FMULTI_ARGUMENT_PROTOTYPE

    static final int FMULTI_ARGUMENT_PROTOTYPE

  The meta object id for the '`FMulti Argument Prototype`' class.

  See Also:
    `FMultiArgumentPrototypeImpl`, `MetaABMFunctionPackageImpl.getFMultiArgumentPrototype()`, Constant Field Values

### FMULTI_ARGUMENT_PROTOTYPE__LABEL

    static final int FMULTI_ARGUMENT_PROTOTYPE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### FMULTI_ARGUMENT_PROTOTYPE__ID

    static final int FMULTI_ARGUMENT_PROTOTYPE__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### FMULTI_ARGUMENT_PROTOTYPE__STYPE

    static final int FMULTI_ARGUMENT_PROTOTYPE__STYPE

  The feature id for the 'SType' attribute.

  See Also:
    Constant Field Values

### FMULTI_ARGUMENT_PROTOTYPE__PLURAL_LABEL

    static final int FMULTI_ARGUMENT_PROTOTYPE__PLURAL_LABEL

  The feature id for the 'Plural Label' attribute.

  See Also:
    Constant Field Values

### FMULTI_ARGUMENT_PROTOTYPE__DESCRIPTION

    static final int FMULTI_ARGUMENT_PROTOTYPE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### FMULTI_ARGUMENT_PROTOTYPE__INPUT_FUNCTION

    static final int FMULTI_ARGUMENT_PROTOTYPE__INPUT_FUNCTION

  The feature id for the 'Input Function' container reference.

  See Also:
    Constant Field Values

### FMULTI_ARGUMENT_PROTOTYPE__OUTPUT_FUNCTION

    static final int FMULTI_ARGUMENT_PROTOTYPE__OUTPUT_FUNCTION

  The feature id for the 'Output Function' container reference.

  See Also:
    Constant Field Values

### FMULTI_ARGUMENT_PROTOTYPE__OPTIONAL

    static final int FMULTI_ARGUMENT_PROTOTYPE__OPTIONAL

  The feature id for the 'Optional' attribute.

  See Also:
    Constant Field Values

### FMULTI_ARGUMENT_PROTOTYPE_FEATURE_COUNT

    static final int FMULTI_ARGUMENT_PROTOTYPE_FEATURE_COUNT

  The number of structural features of the 'FMulti Argument Prototype' class.

  See Also:
    Constant Field Values

Method Detail

### getFArgumentPrototype

    org.eclipse.emf.ecore.EClass getFArgumentPrototype()

  Returns the meta object for class '`FArgument Prototype`'.

  Returns:
    the meta object for class 'FArgument Prototype'.
  See Also:
    `FArgumentPrototype`

### getFArgumentPrototype_InputFunction

    org.eclipse.emf.ecore.EReference getFArgumentPrototype_InputFunction()

  Returns the meta object for the container reference '`Input Function`'.

  Returns:
    the meta object for the container reference 'Input Function'.
  See Also:
    `FArgumentPrototype.getInputFunction()`, `getFArgumentPrototype()`

### getFArgumentPrototype_OutputFunction

    org.eclipse.emf.ecore.EReference getFArgumentPrototype_OutputFunction()

  Returns the meta object for the container reference '`Output Function`'.

  Returns:
    the meta object for the container reference 'Output Function'.
  See Also:
    `FArgumentPrototype.getOutputFunction()`, `getFArgumentPrototype()`

### getFArgumentPrototype_Optional

    org.eclipse.emf.ecore.EAttribute getFArgumentPrototype_Optional()

  Returns the meta object for the attribute '`Optional`'.

  Returns:
    the meta object for the attribute 'Optional'.
  See Also:
    `FArgumentPrototype.isOptional()`, `getFArgumentPrototype()`

### getFFunction

    org.eclipse.emf.ecore.EClass getFFunction()

  Returns the meta object for class '`FFunction`'.

  Returns:
    the meta object for class 'FFunction'.
  See Also:
    `FFunction`

### getFFunction_AvailableTypes

    org.eclipse.emf.ecore.EAttribute getFFunction_AvailableTypes()

  Returns the meta object for the attribute list '`Available Types`'.

  Returns:
    the meta object for the attribute list 'Available Types'.
  See Also:
    `FFunction.getAvailableTypes()`, `getFFunction()`

### getFFunction_InputPrototypes

    org.eclipse.emf.ecore.EReference getFFunction_InputPrototypes()

  Returns the meta object for the containment reference list '`Input Prototypes`'.

  Returns:
    the meta object for the containment reference list 'Input Prototypes'.
  See Also:
    `FFunction.getInputPrototypes()`, `getFFunction()`

### getFFunction_MultiValue

    org.eclipse.emf.ecore.EAttribute getFFunction_MultiValue()

  Returns the meta object for the attribute '`Multi Value`'.

  Returns:
    the meta object for the attribute 'Multi Value'.
  See Also:
    `FFunction.isMultiValue()`, `getFFunction()`

### getFLogical

    org.eclipse.emf.ecore.EClass getFLogical()

  Returns the meta object for class '`FLogical`'.

  Returns:
    the meta object for class 'FLogical'.
  See Also:
    `FLogical`

### getFOperator

    org.eclipse.emf.ecore.EClass getFOperator()

  Returns the meta object for class '`FOperator`'.

  Returns:
    the meta object for class 'FOperator'.
  See Also:
    `FOperator`

### getFOperator_Symbol

    org.eclipse.emf.ecore.EAttribute getFOperator_Symbol()

  Returns the meta object for the attribute ' `Symbol`'.

  Returns:
    the meta object for the attribute 'Symbol'.
  See Also:
    `FOperator.getSymbol()`, `getFOperator()`

### getFOperator_Arity

    org.eclipse.emf.ecore.EAttribute getFOperator_Arity()

  Returns the meta object for the attribute ' `Arity`'.

  Returns:
    the meta object for the attribute 'Arity'.
  See Also:
    `FOperator.getArity()`, `getFOperator()`

### getFLogicalOperator

    org.eclipse.emf.ecore.EClass getFLogicalOperator()

  Returns the meta object for class '`FLogical Operator`'.

  Returns:
    the meta object for class 'FLogical Operator'.
  See Also:
    `FLogicalOperator`

### getFGeneric

    org.eclipse.emf.ecore.EClass getFGeneric()

  Returns the meta object for class '`FGeneric`'.

  Returns:
    the meta object for class 'FGeneric'.
  See Also:
    `FGeneric`

### getFGenericFunction

    org.eclipse.emf.ecore.EClass getFGenericFunction()

  Returns the meta object for class '`FGeneric Function`'.

  Returns:
    the meta object for class 'FGeneric Function'.
  See Also:
    `FGenericFunction`

### getFGenericFunction_OutputPrototypes

    org.eclipse.emf.ecore.EReference getFGenericFunction_OutputPrototypes()

  Returns the meta object for the containment reference list '`Output Prototypes`'.

  Returns:
    the meta object for the containment reference list 'Output Prototypes'.
  See Also:
    `FGenericFunction.getOutputPrototypes()`, `getFGenericFunction()`

### getFGenericLogical

    org.eclipse.emf.ecore.EClass getFGenericLogical()

  Returns the meta object for class '`FGeneric Logical`'.

  Returns:
    the meta object for class 'FGeneric Logical'.
  See Also:
    `FGenericLogical`

### getFLibrary

    org.eclipse.emf.ecore.EClass getFLibrary()

  Returns the meta object for class '`FLibrary`'.

  Returns:
    the meta object for class 'FLibrary'.
  See Also:
    `FLibrary`

### getFLibrary_Functions

    org.eclipse.emf.ecore.EReference getFLibrary_Functions()

  Returns the meta object for the containment reference list '`Functions`'.

  Returns:
    the meta object for the containment reference list 'Functions'.
  See Also:
    `FLibrary.getFunctions()`, `getFLibrary()`

### getFLibrary_Subs

    org.eclipse.emf.ecore.EReference getFLibrary_Subs()

  Returns the meta object for the containment reference list '`Subs`'.

  Returns:
    the meta object for the containment reference list 'Subs'.
  See Also:
    `FLibrary.getSubs()`, `getFLibrary()`

### getFImplementedLibrary

    org.eclipse.emf.ecore.EClass getFImplementedLibrary()

  Returns the meta object for class '`FImplemented Library`'.

  Returns:
    the meta object for class 'FImplemented Library'.
  See Also:
    `FImplementedLibrary`

### getFMultiArgumentPrototype

    org.eclipse.emf.ecore.EClass getFMultiArgumentPrototype()

  Returns the meta object for class '`FMulti Argument Prototype`'.

  Returns:
    the meta object for class 'FMulti Argument Prototype'.
  See Also:
    `FMultiArgumentPrototype`

### getMetaABMFunctionFactory

    MetaABMFunctionFactory getMetaABMFunctionFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

### getFArgumentArrayPrototype

    org.eclipse.emf.ecore.EClass getFArgumentArrayPrototype()

  Returns the meta object for class '`FArgument Array Prototype`'.

  Returns:
    the meta object for class 'FArgument Array Prototype'.
  See Also:
    `FArgumentArrayPrototype`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD